0

ZK composites cause errors in Eclipse 2023-09

asked 2023-11-14 17:00:29 +0800

Guido2406 gravatar image Guido2406
1

Hi,

We recently tried to switch from Eclipse Oxygen to Eclipse 2023-09 (4.29.0) which contains the LemMinX language server handling all XML, XSD, XSL and DTD files. In Oxygen we have no problems with the enclosed zul file below which contains one of our own composite components 'limitedtextbox' (we have a lot of them). In Eclipse 2023-09 the composite component is causing errors.

We already found out that LemMinX downloads the zul.xsd and stores it in a cache. But that only works for the 'regular' ZK components in the zul files.

<zk xmlns:xsi=".../XMLSchema-instance" xmlns=".../zul"
xsi:schemaLocation=".../zul .../zul/zul.xsd">
<label value="Test" />
<limitedtextbox id="test"/>

</zk>

The errors we get are:

Element name 'limitedtextbox' is invalid.
cvc-complex-type.2.4.a: Invalid content was found starting with element '{"zul-link":limitedtextbox}'.
delete flag offensive retag edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2023-11-16 14:25:24 +0800

hawk gravatar image hawk
3205 1 5
http://hawkphoenix.blogsp... ZK Team

I think it's caused by LemMinX validating a zul in a strict manner. Maybe there is a way to configure it to validate a zul less strictly. Their Github issue mentions a setting to filter some errors. Please check that.

link publish delete flag offensive edit
Your answer
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow

RSS

Stats

Asked: 2023-11-14 17:00:29 +0800

Seen: 9 times

Last updated: Nov 16 '23

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More